openapi: 3.0.0
info:
  x-logo:
    url: https://cms.millvi.com/logo.svg
    altText: Millvi logo
    href: https://help.millvi.jp/hc/ja/articles/18887828836505
  description: >
    millvi VOD API は millvi VOD
    プラットフォームを外部アプリケーションから利用できるプログラミングインターフェースです。コンテンツや変換レシピといった、動画配信に必要なリソースを簡単に扱うことができ、迅速に高品質な動画配信を行うことが出来ます。


    # ご利用方法について

    millvi API は、CRM API と VOD API に分かれており、それぞれ担う機能が異なります。CRM API
    では、契約情報や利用量に関わる部分を提供しており、当APIではコンテンツ管理に関わる部分の機能のみを提供しております。


    コンテンツ管理を実行するためには、配信者の認証情報（Bearer
    Token）が必要となります。詳しくは下記の[認証情報](#section/認証情報について)を参照ください。


    # API利用における注意事項

    -
    短時間でのループ処理で負荷をかけるようなタスクはご遠慮ください。弊社側で高負荷の検知があった場合、利用方法についてご相談させていただく場合があります。

    - 本APIドキュメントに記載されている仕様以外の設定では正しく動作しないことがあります。


    # 共通仕様


    ### 異常系

    API がエラーになった場合、以下のようにエラーコードとエラーメッセージが返ってきます。<br>

    詳細については[エラーコード](#tag/error)をご参照ください。

    ```

    {
      "errorCode": "MVOD_CMN_0005",
      "reason": "必須パラメーターが存在しません。[param_name]"
    }

    ```


    # 認証情報について

    リクエストヘッダー情報に、トークンをご利用ください。

    当APIでは、Bearer Token (OAuth2.0) を採用しています。<br>

    CRM API 側で、配信者用のトークンを取得していただき、そのトークンをこちらのAPIでご利用ください。


    ※配信者用トークンの取得方法は[こちら](https://docs.millvi.com/webapi/crm/index.html#tag/dist_token)


    リクエストヘッダー情報に、トークンをご利用ください。

    ```

    curl -H GET "https://${end_point}/vod/end_point" \

    -H "Authorization: Bearer {access_token}"

    ```


    <SecurityDefinitions />
  title: millvi VOD API
  contact:
    name: カスタマーサクセス部
    email: support@millvi.jp
    url: https://millvi-cs.com/support/
servers:
  - url: https://api.millvi.com/vod
tags:
  - name: contents
    x-displayName: コンテンツ
    description: コンテンツ管理で利用するAPIについて記述します。
  - name: subtitle_service
    x-displayName: 字幕
    description: |
      字幕管理で利用するAPIについて記述します。<br>
      字幕は動画コンテンツにのみ利用可能です。
      ### 注意事項
      設定可能な字幕開始・終了時刻の最大値は、それぞれ99時間59分59秒998と99時間59分59秒999になります。<br>
      字幕データの追加・編集・削除操作の途中でエラーが発生した場合は、成功した範囲の操作はロールバックされずに反映されます。
  - name: chapter_service
    x-displayName: チャプター
    description: |
      チャプター管理で利用するAPIについて記述します。<br>
      チャプターは動画コンテンツにのみ利用可能です。
      ### 注意事項
      設定可能なチャプター開始・終了時刻の最大値は、それぞれ99時間59分59秒998と99時間59分59秒999になります。
  - name: file_upload_service
    x-displayName: アップロード
    description: >
      ファイルのアップロードで利用するAPIについて記述します。

      ### 注意事項

      一時アップロード先に保存したデータは、アップロード完了から2日間使用できます。2日経過すればアップロードしたファイルは削除されますので、アップロードURL取得APIのレスポンスに含まれるkeyを利用して、各種管理系APIで適切に処理を実施して下さい。
  - name: recipes
    x-displayName: レシピ
    description: >
      レシピ管理で利用するAPIについて記述します。<br>

      レシピとはコンテンツ変換時のエンコード設定を指します。<br>

      標準で以下のレシピが準備されています。標準で準備されているレシピは編集/削除ができません。

      | recipe_id | category | name | audio_bit_rate | video_bit_rate | width x
      height | frame_rate |

      | :---: | :---: | :---: | ---: | ---: | ---: | ---: |

      | 1 | video | 高画質 | 128000<br>128000<br>128000 |
      8000000<br>4500000<br>2000000 | 2560x1440<br>1920x1080<br>1280x720 |
      30<br>30<br>30 |

      | 2 | video | 標準 | 128000<br>128000 | 2000000<br>1000000 |
      1280x720<br>854x480 | 30<br>30 |

      | 3 | video | 低画質 | 128000<br>96000 | 1000000<br>500000 |
      854x480<br>640x360 | 30<br>30 |

      | 4 | audio | 音声標準 | 96000 | - | - | - |
  - name: embedkey
    x-displayName: Embedキー
    description: >
      Embedキーを取得するAPIについて記述します。<br>

      Embedキーはコンテンツ視聴のために必要な情報をハッシュ化した値となります。Embedキーを適切な形式でプレイヤーに渡すことで、コンテンツを視聴することができます。
  - name: batch
    x-displayName: バッチ処理
    description: バッチ処理
  - name: player
    x-displayName: プレイヤー
    description: |
      コンテンツの視聴に利用するAPIについて記述します。
      ### 注意事項
      APIのドメインが管理用APIとは異なります。
  - name: usage
    x-displayName: 利用量取得
    description: 転送量・ストレージ取得
  - name: secret_key_service
    x-displayName: セキュリティ管理
    description: |
      セキュリティ管理に利用するAPIについて記述します。
  - name: private_contents
    x-displayName: コンテンツ系その他
    description: 非公開のコンテンツ系API
  - name: preview
    x-displayName: 簡易視聴ページ
    description: 簡易視聴ページに利用するAPIについて記述します。
  - name: iframe
    x-displayName: iframe
    description: 視聴用のiframeで利用するAPIについて記述します。
  - name: player_customization_service
    x-displayName: プレイヤーカスタマイズ
    description: |
      プレイヤーのカスタマイズに利用するAPIについて記述します。<br>
      標準で以下のプレイヤーが準備されています。標準で準備されているプレイヤーは編集/削除ができません。
      | player_id | player_type | player_name |
      | :---: | --- | --- |
      | 1 | video | デフォルトVIDEOプレイヤー |
      | 2 | pdf | デフォルトPDFプレイヤー |
      | 3 | audio | デフォルト音声プレイヤー |
  - name: contents_security_service
    x-displayName: コンテンツセキュリティ設定
    description: >
      コンテンツセキュリティ設定を管理するAPIについて記述します。<br>

      標準で以下のセキュリティ設定が準備されています。標準で準備されているセキュリティ設定は削除ができません。（編集は可能）

      | security_config_name | security_config_id | allowed_ip_address |
      allowed_domain |

      | :---: | --- | --- | --- |

      | デフォルト | null | null | null |
  - name: live_content_service
    x-displayName: ライブコンテンツ
    description: ライブコンテンツ管理で利用するAPIについて記述します。
  - name: live_channel_service
    x-displayName: ライブチャンネル
    description: |
      ライブチャンネルで利用するAPIについて記述します。<br>
      ライブコンテンツを作成した後に、ライブ配信の開始/停止/情報取得する用途で利用します。
  - name: analytics_service
    x-displayName: 分析
    description: |
      分析で利用するAPIについて記述します。<br>
  - name: playlist_service
    x-displayName: プレイリスト
    description: プレイリスト管理で利用するAPIについて記述します。
  - name: folder_service
    x-displayName: フォルダ
    description: VODコンテンツ用のフォルダ管理で利用するAPIについて記述します。
  - name: jobs
    x-displayName: ジョブ
    description: ジョブ管理で利用するAPIについて記述します。
  - name: notifications_destination
    x-displayName: 通知先設定
    description: |
      通知先設定管理で利用するAPIについて記述します。<br>
paths:
  /admin/contents/{user_id}:
    get:
      tags:
        - admin
      operationId: get-admin-contents
      parameters:
        - name: user_id
          in: query
          description: ユーザID
          schema:
            type: string
            description: ユーザID
            deprecated: false
            nullable: true
        - name: content_id
          in: query
          description: コンテンツのIDで取得対象を絞り込むときに指定します。
          schema:
            type: string
            description: コンテンツのIDで取得対象を絞り込むときに指定します。
            deprecated: false
            nullable: true
        - name: title
          in: query
          description: コンテンツのタイトルで取得対象を絞り込むときに指定します。
          schema:
            type: string
            description: コンテンツのタイトルで取得対象を絞り込むときに指定します。
            deprecated: false
            nullable: true
        - name: description
          in: query
          description: コンテンツの説明文で取得対象を絞り込むときに指定します。
          schema:
            type: string
            description: コンテンツの説明文で取得対象を絞り込むときに指定します。
            deprecated: false
            nullable: true
        - name: tags
          in: query
          description: コンテンツのタグで取得対象を絞り込むときに指定します。タグはカンマ区切りで複数指定できます。
          schema:
            type: string
            description: コンテンツのタグで取得対象を絞り込むときに指定します。タグはカンマ区切りで複数指定できます。
            deprecated: false
            nullable: true
        - name: status
          in: query
          description: >-
            コンテンツの変換ステータス(`FAILED_TO_UPLOAD`,`NOT_READY_TO_CONVERT`,`READY_TO_CONVERT`,`WAIT_TO_CONVERT`,`CONVERTING`,`CONVERT_COMPLETED`,`CONVERT_ERROR`,`LIVE_ARCHIVING`,`ARCHIVE_FAILED`)で取得対象を絞り込むときに指定します。カンマ区切りで複数指定することでOR条件で絞り込まれます。<br>上記に合致しないステータスを指定した場合無視されます。
          schema:
            type: string
            description: >-
              コンテンツの変換ステータス(`FAILED_TO_UPLOAD`,`NOT_READY_TO_CONVERT`,`READY_TO_CONVERT`,`WAIT_TO_CONVERT`,`CONVERTING`,`CONVERT_COMPLETED`,`CONVERT_ERROR`,`LIVE_ARCHIVING`,`ARCHIVE_FAILED`)で取得対象を絞り込むときに指定します。カンマ区切りで複数指定することでOR条件で絞り込まれます。<br>上記に合致しないステータスを指定した場合無視されます。
            deprecated: false
            nullable: true
        - name: public_setting_types
          in: query
          description: >-
            コンテンツが含む公開タイプ(`public`, `private`,
            `period`)で取得対象を絞り込むときに指定します。カンマ区切りで複数指定することでOR条件で絞り込まれます。<br>上記に合致しない公開タイプを指定した場合無視されます。
          schema:
            type: string
            description: >-
              コンテンツが含む公開タイプ(`public`, `private`,
              `period`)で取得対象を絞り込むときに指定します。カンマ区切りで複数指定することでOR条件で絞り込まれます。<br>上記に合致しない公開タイプを指定した場合無視されます。
            deprecated: false
            nullable: true
        - name: media_types
          in: query
          description: >-
            コンテンツのメディアタイプ(`video`, `audio`, `pdf`,
            `folder`)で取得対象を絞り込むときに指定します。カンマ区切りで複数指定することでOR条件で絞り込まれます。<br>`null`を指定することで、メディアタイプ未指定のコンテンツを絞り込めます。<br>上記に合致しないメディアタイプを指定した場合無視されます。
          schema:
            type: string
            description: >-
              コンテンツのメディアタイプ(`video`, `audio`, `pdf`,
              `folder`)で取得対象を絞り込むときに指定します。カンマ区切りで複数指定することでOR条件で絞り込まれます。<br>`null`を指定することで、メディアタイプ未指定のコンテンツを絞り込めます。<br>上記に合致しないメディアタイプを指定した場合無視されます。
            deprecated: false
            nullable: true
        - name: parent_content_id
          in: query
          description: >-
            親フォルダのコンテンツIDで取得対象を絞り込むときに指定します。<br>`root`を指定することで、フォルダに属さないコンテンツを取得できます。<br>指定しない場合は全てのコンテンツが取得されます。
          schema:
            type: string
            description: >-
              親フォルダのコンテンツIDで取得対象を絞り込むときに指定します。<br>`root`を指定することで、フォルダに属さないコンテンツを取得できます。<br>指定しない場合は全てのコンテンツが取得されます。
            deprecated: false
            minLength: 1
            nullable: true
        - name: thumbnail_url_expires_in_days
          in: query
          description: サムネイルの期限付きURLの失効までの日数
          schema:
            type: integer
            description: サムネイルの期限付きURLの失効までの日数
            deprecated: false
            maximum: 36500
            default: 7
        - name: sort_by
          in: query
          description: 並び替えに使用するフィールド。<br>同じ値の場合はcreated_atの昇順で並べられます。
          schema:
            type: string
            enum:
              - duration
              - public_setting.start
              - updated_at
              - created_at
              - score
              - title
              - storage_amount
            description: 並び替えに使用するフィールド。<br>同じ値の場合はcreated_atの昇順で並べられます。
            deprecated: false
            default: created_at
        - name: order
          in: query
          description: 昇順(asc) / 降順(desc)
          schema:
            type: string
            enum:
              - asc
              - desc
            description: 昇順(asc) / 降順(desc)
            deprecated: false
            default: desc
        - name: page_size
          in: query
          description: 1ページあたりのコンテンツ数
          schema:
            type: integer
            description: 1ページあたりのコンテンツ数
            deprecated: false
            maximum: 200
            minimum: 1
            default: 20
        - name: page
          in: query
          description: ページ番号
          schema:
            type: integer
            description: ページ番号
            deprecated: false
            minimum: 1
            default: 1
      responses:
        '200':
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: '*'
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  total_count:
                    type: integer
                    description: itemsの総数
                    deprecated: false
                  items:
                    type: array
                    items:
                      type: object
                      properties:
                        user_id:
                          type: string
                          description: ユーザーID
                          deprecated: false
                        content_id:
                          type: string
                          description: コンテンツID
                          deprecated: false
                        title:
                          type: string
                          description: タイトル
                          deprecated: false
                        status:
                          type: string
                          enum:
                            - FAILED_TO_UPLOAD
                            - NOT_READY_TO_CONVERT
                            - READY_TO_CONVERT
                            - WAIT_TO_CONVERT
                            - CONVERTING
                            - CONVERT_COMPLETED
                            - CONVERT_ERROR
                            - LIVE_ARCHIVING
                            - ARCHIVE_FAILED
                          description: >-
                            <b>変換ステータス<b><br><table
                            style='table-layout:fixed;width:100%;word-break:break-word;overflow-wrap:anywhere;'><tr><th>ステータス</th><th>状態</th></tr><tr><td>FAILED_TO_UPLOAD</td><td>アップロードに失敗しています。</td></tr><tr><td>NOT_READY_TO_CONVERT</td><td>コンテンツを変換するための情報が不足しています。</td></tr><tr><td>WAIT_TO_CONVERT</td><td>変換待機中の状態です。</td></tr><tr><td>CONVERTING</td><td>変換中です。</td></tr><tr><td>CONVERT_COMPLETED</td><td>変換完了です。</td></tr><tr><td>CONVERT_ERROR</td><td>変換中にエラーが起こりました。</table>
                          deprecated: false
                        created_at:
                          type: string
                          description: コンテンツ登録日
                          deprecated: false
                        updated_at:
                          type: string
                          description: コンテンツ更新日
                          deprecated: false
                        description:
                          type: string
                          description: 説明文
                          deprecated: false
                          nullable: true
                        origin_file_name:
                          type: string
                          description: 元ファイル名
                          deprecated: false
                          nullable: true
                        origin_file_size:
                          type: integer
                          description: アップロードしたファイルのサイズ(byte)
                          deprecated: false
                          nullable: true
                        public_setting:
                          type: object
                          properties:
                            type:
                              type: string
                              enum:
                                - public
                                - private
                                - period
                              description: 公開タイプ
                              deprecated: false
                            start:
                              type: string
                              description: >-
                                公開開始日時。yyyy-mm-dd
                                hh:mm:ss。<br>タイムゾーンはJSTです<br>`type` が **period**
                                の場合、`start` と `end` のどちらかは必須です。
                              deprecated: false
                              nullable: true
                            end:
                              type: string
                              description: >-
                                公開終了日時。yyyy-mm-dd
                                hh:mm:ss。<br>タイムゾーンはJSTです<br>`type` が **period**
                                の場合、`start` と `end` のどちらかは必須です。
                              deprecated: false
                              nullable: true
                          required:
                            - type
                          example:
                            type: period
                            start: '2022-03-01 00:00:00'
                            end: '2022-04-01 00:00:00'
                          contentType: application/json
                          description: 公開設定
                          deprecated: false
                          nullable: true
                        media_type:
                          type: string
                          enum:
                            - pdf
                            - video
                            - live
                            - audio
                            - folder
                          description: メディアタイプ
                          deprecated: false
                          nullable: true
                        tag:
                          type: array
                          items:
                            type: string
                          description: タグ
                          deprecated: false
                          nullable: true
                        is_password_required:
                          type: boolean
                          description: パスワード設定情報
                          deprecated: false
                          nullable: true
                        conversion_rate:
                          type: integer
                          description: 変換進捗率
                          deprecated: false
                          nullable: true
                        parent_content_id:
                          type: string
                          description: 親フォルダのコンテンツID
                          deprecated: false
                          nullable: true
                        storage_amount:
                          type: integer
                          description: ストレージ使用量(byte)
                          deprecated: false
                          nullable: true
                        recipe_id:
                          type: string
                          description: レシピID
                          deprecated: false
                          nullable: true
                        duration:
                          type: number
                          description: 動画の長さ(秒)
                          deprecated: false
                          nullable: true
                        subtitles:
                          type: array
                          items:
                            type: object
                            properties:
                              subtitle_id:
                                type: string
                                description: 字幕ID
                                deprecated: false
                              label:
                                type: string
                                description: 字幕ラベル
                                deprecated: false
                              srclang:
                                type: string
                                description: 言語コード
                                deprecated: false
                              is_default:
                                type: boolean
                                description: デフォルト字幕設定
                                deprecated: false
                              is_enabled:
                                type: boolean
                                description: 字幕の公開非公開設定
                                deprecated: false
                              order:
                                type: integer
                                description: 表示順
                                deprecated: false
                              status:
                                type: string
                                enum:
                                  - UNPROCESSED
                                  - PROCESSING
                                  - PROCESSED
                                  - FAILURE
                                description: ステータス
                                deprecated: false
                              created_at:
                                type: string
                                description: 作成日時
                                deprecated: false
                              updated_at:
                                type: string
                                description: 更新日時
                                deprecated: false
                            required:
                              - subtitle_id
                              - label
                              - srclang
                              - is_default
                              - is_enabled
                              - order
                              - status
                              - created_at
                              - updated_at
                            example:
                              subtitle_id: 1fb76906-9f13-49fe-a13f-46714d81c250
                              label: 日本語
                              srclang: ja
                              is_default: false
                              is_enabled: false
                              order: 0
                              status: PROCESSED
                              created_at: 2022-01-01T00:00:00.000000+0900
                              updated_at: 2022-01-01T00:00:00.000000+0900
                            contentType: application/json
                          description: 字幕情報
                          deprecated: false
                          nullable: true
                        chapter:
                          type: object
                          properties:
                            label:
                              type: string
                              description: チャプターラベル
                              deprecated: false
                            is_enabled:
                              type: boolean
                              description: チャプターの公開非公開設定
                              deprecated: false
                            created_at:
                              type: string
                              description: 作成日時
                              deprecated: false
                            updated_at:
                              type: string
                              description: 更新日時
                              deprecated: false
                          required:
                            - label
                            - is_enabled
                            - created_at
                            - updated_at
                          example:
                            label: 第1章
                            is_enabled: false
                            created_at: 2022-01-01T00:00:00.000000+0900
                            updated_at: 2022-01-01T00:00:00.000000+0900
                          contentType: application/json
                          description: チャプター情報
                          deprecated: false
                          nullable: true
                        thumbnail_info:
                          type: array
                          items:
                            type: object
                            properties:
                              path:
                                type: string
                                description: サムネイルパス
                                deprecated: false
                              id:
                                type: string
                                description: サムネイルID
                                deprecated: false
                              is_active:
                                type: boolean
                                description: そのサムネイルが使用されている場合は`true`を返します。
                                deprecated: false
                            required:
                              - path
                              - id
                              - is_active
                            example:
                              path: >-
                                https://example.com/a4f648808d00ce7fdc2ccc7477a66620be490c3/4ba28124-c54g-83d8-9xxb-5324bddbafc9/origin_file.0000000.jpg
                              id: '1'
                              is_active: true
                            contentType: application/json
                          description: サムネイル情報
                          deprecated: false
                          nullable: true
                        pdf_info:
                          type: object
                          properties:
                            pdf_file_path:
                              type: string
                              description: 変換前のファイルパス
                              deprecated: false
                            image_file_path:
                              type: string
                              description: 変換後のファイルパス
                              deprecated: false
                              nullable: true
                            total_page_count:
                              type: integer
                              description: PDFのページ数
                              deprecated: false
                              nullable: true
                          required:
                            - pdf_file_path
                          example:
                            pdf_file_path: >-
                              a4f648808d00ce7fdc2ccc7477a66620be490c3/4ba28124-c54g-83d8-9xxb-5324bddbafc9/origin_file.pdf
                            image_file_path: >-
                              a4f648808d00ce7fdc2ccc7477a66620be490c3/4ba28124-c54g-83d8-9xxb-5324bddbafc9/origin_file
                            total_page_count: 1
                          contentType: application/json
                          description: PDF情報
                          deprecated: false
                          nullable: true
                        origin_file_dimension:
                          type: object
                          properties:
                            width:
                              type: integer
                              description: 動画の幅
                              deprecated: false
                            height:
                              type: integer
                              description: 動画の高さ
                              deprecated: false
                          required:
                            - width
                            - height
                          example:
                            width: 1920
                            height: 1080
                          contentType: application/json
                          description: 動画の幅と高さ
                          deprecated: false
                          nullable: true
                        thumbnail_url:
                          type: string
                          description: サムネイルURL
                          deprecated: false
                          nullable: true
                      required:
                        - user_id
                        - content_id
                        - title
                        - status
                        - created_at
                        - updated_at
                      example:
                        user_id: a4f648808d00ce7fdc2ccc7477a66620be490c3
                        content_id: 4ba28124-c54g-83d8-9xxb-5324bddbafc9
                        title: タイトル
                        status: CONVERT_COMPLETED
                        created_at: '2022-03-01 00:00:00.000000+09:00'
                        updated_at: '2022-04-01 00:00:00.000000+09:00'
                        description: 説明
                        origin_file_name: origin_file.mp4
                        origin_file_size: 1024
                        public_setting:
                          type: period
                          start: '2022-03-01 00:00:00'
                          end: '2022-04-01 00:00:00'
                        media_type: video
                        tag:
                          - tag1
                          - tag2
                        is_password_required: false
                        conversion_rate: 100
                        parent_content_id: 4ba28124-c54f-83d8-9abb-5324bddbafc9
                        storage_amount: 1024
                        recipe_id: '1'
                        duration: 10
                        subtitles:
                          - subtitle_id: 1fb76906-9f13-49fe-a13f-46714d81c250
                            label: 日本語
                            srclang: ja
                            is_default: false
                            is_enabled: false
                            order: 0
                            status: PROCESSED
                            created_at: 2022-01-01T00:00:00.000000+0900
                            updated_at: 2022-01-01T00:00:00.000000+0900
                        chapter:
                          label: 第1章
                          is_enabled: false
                          created_at: 2022-01-01T00:00:00.000000+0900
                          updated_at: 2022-01-01T00:00:00.000000+0900
                        thumbnail_info:
                          - path: >-
                              https://example.com/a4f648808d00ce7fdc2ccc7477a66620be490c3/4ba28124-c54g-83d8-9xxb-5324bddbafc9/origin_file.0000000.jpg
                            id: '1'
                            is_active: true
                        pdf_info:
                          pdf_file_path: >-
                            a4f648808d00ce7fdc2ccc7477a66620be490c3/4ba28124-c54g-83d8-9xxb-5324bddbafc9/origin_file.pdf
                          image_file_path: >-
                            a4f648808d00ce7fdc2ccc7477a66620be490c3/4ba28124-c54g-83d8-9xxb-5324bddbafc9/origin_file
                          total_page_count: 1
                        origin_file_dimension:
                          width: 1920
                          height: 1080
                        thumbnail_url: >-
                          https://example.com/a4f648808d00ce7fdc2ccc7477a66620be490c3/4ba28124-c54g-83d8-9xxb-5324bddbafc9/origin_file.0000000.jpg
                      contentType: application/json
                    description: ''
                    deprecated: false
                  page:
                    type: integer
                    description: ページ番号
                    deprecated: false
                    nullable: true
                required:
                  - total_count
                  - items
                example:
                  total_count: 1
                  items:
                    - user_id: a4f648808d00ce7fdc2ccc7477a66620be490c3
                      content_id: 4ba28124-c54g-83d8-9xxb-5324bddbafc9
                      title: タイトル
                      status: CONVERT_COMPLETED
                      created_at: '2022-03-01 00:00:00.000000+09:00'
                      updated_at: '2022-04-01 00:00:00.000000+09:00'
                      description: 説明
                      origin_file_name: origin_file.mp4
                      origin_file_size: 1024
                      public_setting:
                        type: period
                        start: '2022-03-01 00:00:00'
                        end: '2022-04-01 00:00:00'
                      media_type: video
                      tag:
                        - tag1
                        - tag2
                      is_password_required: false
                      conversion_rate: 100
                      parent_content_id: 4ba28124-c54f-83d8-9abb-5324bddbafc9
                      storage_amount: 1024
                      recipe_id: '1'
                      duration: 10
                      subtitles:
                        - subtitle_id: 1fb76906-9f13-49fe-a13f-46714d81c250
                          label: 日本語
                          srclang: ja
                          is_default: false
                          is_enabled: false
                          order: 0
                          status: PROCESSED
                          created_at: 2022-01-01T00:00:00.000000+0900
                          updated_at: 2022-01-01T00:00:00.000000+0900
                      chapter:
                        label: 第1章
                        is_enabled: false
                        created_at: 2022-01-01T00:00:00.000000+0900
                        updated_at: 2022-01-01T00:00:00.000000+0900
                      thumbnail_info:
                        - path: >-
                            https://example.com/a4f648808d00ce7fdc2ccc7477a66620be490c3/4ba28124-c54g-83d8-9xxb-5324bddbafc9/origin_file.0000000.jpg
                          id: '1'
                          is_active: true
                      pdf_info:
                        pdf_file_path: >-
                          a4f648808d00ce7fdc2ccc7477a66620be490c3/4ba28124-c54g-83d8-9xxb-5324bddbafc9/origin_file.pdf
                        image_file_path: >-
                          a4f648808d00ce7fdc2ccc7477a66620be490c3/4ba28124-c54g-83d8-9xxb-5324bddbafc9/origin_file
                        total_page_count: 1
                      origin_file_dimension:
                        width: 1920
                        height: 1080
                      thumbnail_url: >-
                        https://example.com/a4f648808d00ce7fdc2ccc7477a66620be490c3/4ba28124-c54g-83d8-9xxb-5324bddbafc9/origin_file.0000000.jpg
                  page: 1
                contentType: application/json
        '400':
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: '*'
          description: Bad Request
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    title: MVOD_CMN_0013
                    properties:
                      errorCode:
                        type: string
                        enum:
                          - MVOD_CMN_0013
                        description: エラーコード
                      reason:
                        type: string
                        enum:
                          - '[param]の値([value])が不正です。'
                        description: エラーメッセージ
                    contentType: application/json
                  - type: object
                    title: MVOD_CMN_0018
                    properties:
                      errorCode:
                        type: string
                        enum:
                          - MVOD_CMN_0018
                        description: エラーコード
                      reason:
                        type: string
                        enum:
                          - 実行ユーザーが存在しません。
                        description: エラーメッセージ
                    contentType: application/json
                  - type: object
                    title: MVOD_CMN_0021
                    properties:
                      errorCode:
                        type: string
                        enum:
                          - MVOD_CMN_0021
                        description: エラーコード
                      reason:
                        type: string
                        enum:
                          - '[param]([value])は [condition] の範囲で指定する必要があります。'
                        description: エラーメッセージ
                    contentType: application/json
                  - type: object
                    title: MVOD_CMN_0022
                    properties:
                      errorCode:
                        type: string
                        enum:
                          - MVOD_CMN_0022
                        description: エラーコード
                      reason:
                        type: string
                        enum:
                          - '[param]([value])は [condition] の長さである必要があります。'
                        description: エラーメッセージ
                    contentType: application/json
                  - type: object
                    title: MVOD_CNT_0022
                    properties:
                      errorCode:
                        type: string
                        enum:
                          - MVOD_CNT_0022
                        description: エラーコード
                      reason:
                        type: string
                        enum:
                          - parent_content_idにはフォルダコンテンツのIDもしくはrootを指定してください。
                        description: エラーメッセージ
                    contentType: application/json
        '401':
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: '*'
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                title: MVOD_CMN_0002
                properties:
                  errorCode:
                    type: string
                    enum:
                      - MVOD_CMN_0002
                    description: エラーコード
                  reason:
                    type: string
                    enum:
                      - 認証に失敗しました。
                    description: エラーメッセージ
                contentType: application/json
        '403':
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: '*'
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                title: MVOD_CMN_0027
                properties:
                  errorCode:
                    type: string
                    enum:
                      - MVOD_CMN_0027
                    description: エラーコード
                  reason:
                    type: string
                    enum:
                      - ユーザーに実行権限がありません。
                    description: エラーメッセージ
                contentType: application/json
        '500':
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: '*'
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                title: MVOD_CMN_0012
                properties:
                  errorCode:
                    type: string
                    enum:
                      - MVOD_CMN_0012
                    description: エラーコード
                  reason:
                    type: string
                    enum:
                      - サーバー側で何かしらの問題が発生しました。
                    description: エラーメッセージ
                contentType: application/json
      security:
        - admin_token: []
      x-codeSamples:
        - lang: shell
          source: >-
            curl -v -X GET
            'https://${end_point}/admin/contents?user_id=a4f648808d00ce7fdc2ccc7477a66620be490c3&content_id=4ba28124-c54g-83d8-9xxb-5324bddbafc9&title=タイトル&description=説明文&tags=タグ１,タグ2&status=FAILED_TO_UPLOAD,NOT_READY_TO_CONVERT,READY_TO_CONVERT,WAIT_TO_CONVERT,CONVERTING,CONVERT_COMPLETED,CONVERT_ERROR,LIVE_ARCHIVING,ARCHIVE_FAILED&public_setting_types=public,private,period&media_types=video,pdf&parent_content_id=4ba28124-c54f-83d8-9ffb-5324bddbafc9&thumbnail_url_expires_in_days=1000&sort_by=created_at&order=desc&page_size=200&page=1'

            -H 'Authorization: Bearer {access_token}'
      summary: コンテンツ一覧取得
      description: 指定したユーザーの全てのコンテンツ情報を取得します。
  /admin/contents/{user_id}/{content_id}:
    get:
      tags:
        - admin
      operationId: get-admin-contents-{user_id}-{content_id}
      parameters:
        - name: user_id
          in: query
          description: ユーザID
          required: true
          schema:
            type: string
            description: ユーザID
            deprecated: false
        - name: content_id
          in: path
          description: コンテンツID
          required: true
          schema:
            type: string
            description: コンテンツID
            deprecated: false
      responses:
        '200':
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: '*'
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  user_id:
                    type: string
                    description: ユーザーID
                    deprecated: false
                  content_id:
                    type: string
                    description: コンテンツID
                    deprecated: false
                  title:
                    type: string
                    description: タイトル
                    deprecated: false
                  status:
                    type: string
                    enum:
                      - FAILED_TO_UPLOAD
                      - NOT_READY_TO_CONVERT
                      - READY_TO_CONVERT
                      - WAIT_TO_CONVERT
                      - CONVERTING
                      - CONVERT_COMPLETED
                      - CONVERT_ERROR
                      - LIVE_ARCHIVING
                      - ARCHIVE_FAILED
                    description: >-
                      <b>変換ステータス<b><br><table
                      style='table-layout:fixed;width:100%;word-break:break-word;overflow-wrap:anywhere;'><tr><th>ステータス</th><th>状態</th></tr><tr><td>FAILED_TO_UPLOAD</td><td>アップロードに失敗しています。</td></tr><tr><td>NOT_READY_TO_CONVERT</td><td>コンテンツを変換するための情報が不足しています。</td></tr><tr><td>WAIT_TO_CONVERT</td><td>変換待機中の状態です。</td></tr><tr><td>CONVERTING</td><td>変換中です。</td></tr><tr><td>CONVERT_COMPLETED</td><td>変換完了です。</td></tr><tr><td>CONVERT_ERROR</td><td>変換中にエラーが起こりました。</table>
                    deprecated: false
                  created_at:
                    type: string
                    description: コンテンツ登録日
                    deprecated: false
                  updated_at:
                    type: string
                    description: コンテンツ更新日
                    deprecated: false
                  description:
                    type: string
                    description: 説明文
                    deprecated: false
                    nullable: true
                  origin_file_name:
                    type: string
                    description: 元ファイル名
                    deprecated: false
                    nullable: true
                  origin_file_size:
                    type: integer
                    description: アップロードしたファイルのサイズ(byte)
                    deprecated: false
                    nullable: true
                  public_setting:
                    type: object
                    properties:
                      type:
                        type: string
                        enum:
                          - public
                          - private
                          - period
                        description: 公開タイプ
                        deprecated: false
                      start:
                        type: string
                        description: >-
                          公開開始日時。yyyy-mm-dd hh:mm:ss。<br>タイムゾーンはJSTです<br>`type`
                          が **period** の場合、`start` と `end` のどちらかは必須です。
                        deprecated: false
                        nullable: true
                      end:
                        type: string
                        description: >-
                          公開終了日時。yyyy-mm-dd hh:mm:ss。<br>タイムゾーンはJSTです<br>`type`
                          が **period** の場合、`start` と `end` のどちらかは必須です。
                        deprecated: false
                        nullable: true
                    required:
                      - type
                    example:
                      type: period
                      start: '2022-03-01 00:00:00'
                      end: '2022-04-01 00:00:00'
                    contentType: application/json
                    description: 公開設定
                    deprecated: false
                    nullable: true
                  media_type:
                    type: string
                    enum:
                      - pdf
                      - video
                      - live
                      - audio
                      - folder
                    description: メディアタイプ
                    deprecated: false
                    nullable: true
                  tag:
                    type: array
                    items:
                      type: string
                    description: タグ
                    deprecated: false
                    nullable: true
                  is_password_required:
                    type: boolean
                    description: パスワード設定情報
                    deprecated: false
                    nullable: true
                  conversion_rate:
                    type: integer
                    description: 変換進捗率
                    deprecated: false
                    nullable: true
                  parent_content_id:
                    type: string
                    description: 親フォルダのコンテンツID
                    deprecated: false
                    nullable: true
                  storage_amount:
                    type: integer
                    description: ストレージ使用量(byte)
                    deprecated: false
                    nullable: true
                  recipe_id:
                    type: string
                    description: レシピID
                    deprecated: false
                    nullable: true
                  duration:
                    type: number
                    description: 動画の長さ(秒)
                    deprecated: false
                    nullable: true
                  subtitles:
                    type: array
                    items:
                      type: object
                      properties:
                        subtitle_id:
                          type: string
                          description: 字幕ID
                          deprecated: false
                        label:
                          type: string
                          description: 字幕ラベル
                          deprecated: false
                        srclang:
                          type: string
                          description: 言語コード
                          deprecated: false
                        is_default:
                          type: boolean
                          description: デフォルト字幕設定
                          deprecated: false
                        is_enabled:
                          type: boolean
                          description: 字幕の公開非公開設定
                          deprecated: false
                        order:
                          type: integer
                          description: 表示順
                          deprecated: false
                        status:
                          type: string
                          enum:
                            - UNPROCESSED
                            - PROCESSING
                            - PROCESSED
                            - FAILURE
                          description: ステータス
                          deprecated: false
                        created_at:
                          type: string
                          description: 作成日時
                          deprecated: false
                        updated_at:
                          type: string
                          description: 更新日時
                          deprecated: false
                      required:
                        - subtitle_id
                        - label
                        - srclang
                        - is_default
                        - is_enabled
                        - order
                        - status
                        - created_at
                        - updated_at
                      example:
                        subtitle_id: 1fb76906-9f13-49fe-a13f-46714d81c250
                        label: 日本語
                        srclang: ja
                        is_default: false
                        is_enabled: false
                        order: 0
                        status: PROCESSED
                        created_at: 2022-01-01T00:00:00.000000+0900
                        updated_at: 2022-01-01T00:00:00.000000+0900
                      contentType: application/json
                    description: 字幕情報
                    deprecated: false
                    nullable: true
                  chapter:
                    type: object
                    properties:
                      label:
                        type: string
                        description: チャプターラベル
                        deprecated: false
                      is_enabled:
                        type: boolean
                        description: チャプターの公開非公開設定
                        deprecated: false
                      created_at:
                        type: string
                        description: 作成日時
                        deprecated: false
                      updated_at:
                        type: string
                        description: 更新日時
                        deprecated: false
                    required:
                      - label
                      - is_enabled
                      - created_at
                      - updated_at
                    example:
                      label: 第1章
                      is_enabled: false
                      created_at: 2022-01-01T00:00:00.000000+0900
                      updated_at: 2022-01-01T00:00:00.000000+0900
                    contentType: application/json
                    description: チャプター情報
                    deprecated: false
                    nullable: true
                  thumbnail_info:
                    type: array
                    items:
                      type: object
                      properties:
                        path:
                          type: string
                          description: サムネイルパス
                          deprecated: false
                        id:
                          type: string
                          description: サムネイルID
                          deprecated: false
                        is_active:
                          type: boolean
                          description: そのサムネイルが使用されている場合は`true`を返します。
                          deprecated: false
                      required:
                        - path
                        - id
                        - is_active
                      example:
                        path: >-
                          https://example.com/a4f648808d00ce7fdc2ccc7477a66620be490c3/4ba28124-c54g-83d8-9xxb-5324bddbafc9/origin_file.0000000.jpg
                        id: '1'
                        is_active: true
                      contentType: application/json
                    description: サムネイル情報
                    deprecated: false
                    nullable: true
                  pdf_info:
                    type: object
                    properties:
                      pdf_file_path:
                        type: string
                        description: 変換前のファイルパス
                        deprecated: false
                      image_file_path:
                        type: string
                        description: 変換後のファイルパス
                        deprecated: false
                        nullable: true
                      total_page_count:
                        type: integer
                        description: PDFのページ数
                        deprecated: false
                        nullable: true
                    required:
                      - pdf_file_path
                    example:
                      pdf_file_path: >-
                        a4f648808d00ce7fdc2ccc7477a66620be490c3/4ba28124-c54g-83d8-9xxb-5324bddbafc9/origin_file.pdf
                      image_file_path: >-
                        a4f648808d00ce7fdc2ccc7477a66620be490c3/4ba28124-c54g-83d8-9xxb-5324bddbafc9/origin_file
                      total_page_count: 1
                    contentType: application/json
                    description: PDF情報
                    deprecated: false
                    nullable: true
                  origin_file_dimension:
                    type: object
                    properties:
                      width:
                        type: integer
                        description: 動画の幅
                        deprecated: false
                      height:
                        type: integer
                        description: 動画の高さ
                        deprecated: false
                    required:
                      - width
                      - height
                    example:
                      width: 1920
                      height: 1080
                    contentType: application/json
                    description: 動画の幅と高さ
                    deprecated: false
                    nullable: true
                required:
                  - user_id
                  - content_id
                  - title
                  - status
                  - created_at
                  - updated_at
                example:
                  user_id: a4f648808d00ce7fdc2ccc7477a66620be490c3
                  content_id: 4ba28124-c54g-83d8-9xxb-5324bddbafc9
                  title: タイトル
                  status: CONVERT_COMPLETED
                  created_at: '2022-03-01 00:00:00.000000+09:00'
                  updated_at: '2022-04-01 00:00:00.000000+09:00'
                  description: 説明
                  origin_file_name: origin_file.mp4
                  origin_file_size: 1024
                  public_setting:
                    type: period
                    start: '2022-03-01 00:00:00'
                    end: '2022-04-01 00:00:00'
                  media_type: video
                  tag:
                    - tag1
                    - tag2
                  is_password_required: false
                  conversion_rate: 100
                  parent_content_id: 4ba28124-c54f-83d8-9abb-5324bddbafc9
                  storage_amount: 1024
                  recipe_id: '1'
                  duration: 10
                  subtitles:
                    - subtitle_id: 1fb76906-9f13-49fe-a13f-46714d81c250
                      label: 日本語
                      srclang: ja
                      is_default: false
                      is_enabled: false
                      order: 0
                      status: PROCESSED
                      created_at: 2022-01-01T00:00:00.000000+0900
                      updated_at: 2022-01-01T00:00:00.000000+0900
                  chapter:
                    label: 第1章
                    is_enabled: false
                    created_at: 2022-01-01T00:00:00.000000+0900
                    updated_at: 2022-01-01T00:00:00.000000+0900
                  thumbnail_info:
                    - path: >-
                        https://example.com/a4f648808d00ce7fdc2ccc7477a66620be490c3/4ba28124-c54g-83d8-9xxb-5324bddbafc9/origin_file.0000000.jpg
                      id: '1'
                      is_active: true
                  pdf_info:
                    pdf_file_path: >-
                      a4f648808d00ce7fdc2ccc7477a66620be490c3/4ba28124-c54g-83d8-9xxb-5324bddbafc9/origin_file.pdf
                    image_file_path: >-
                      a4f648808d00ce7fdc2ccc7477a66620be490c3/4ba28124-c54g-83d8-9xxb-5324bddbafc9/origin_file
                    total_page_count: 1
                  origin_file_dimension:
                    width: 1920
                    height: 1080
                contentType: application/json
        '400':
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: '*'
          description: Bad Request
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    title: MVOD_CMN_0005
                    properties:
                      errorCode:
                        type: string
                        enum:
                          - MVOD_CMN_0005
                        description: エラーコード
                      reason:
                        type: string
                        enum:
                          - 必須パラメーターが存在しません。[param_names]
                        description: エラーメッセージ
                    contentType: application/json
                  - type: object
                    title: MVOD_CMN_0013
                    properties:
                      errorCode:
                        type: string
                        enum:
                          - MVOD_CMN_0013
                        description: エラーコード
                      reason:
                        type: string
                        enum:
                          - '[param]の値([value])が不正です。'
                        description: エラーメッセージ
                    contentType: application/json
                  - type: object
                    title: MVOD_CMN_0018
                    properties:
                      errorCode:
                        type: string
                        enum:
                          - MVOD_CMN_0018
                        description: エラーコード
                      reason:
                        type: string
                        enum:
                          - 実行ユーザーが存在しません。
                        description: エラーメッセージ
                    contentType: application/json
        '401':
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: '*'
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                title: MVOD_CMN_0002
                properties:
                  errorCode:
                    type: string
                    enum:
                      - MVOD_CMN_0002
                    description: エラーコード
                  reason:
                    type: string
                    enum:
                      - 認証に失敗しました。
                    description: エラーメッセージ
                contentType: application/json
        '403':
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: '*'
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                title: MVOD_CMN_0027
                properties:
                  errorCode:
                    type: string
                    enum:
                      - MVOD_CMN_0027
                    description: エラーコード
                  reason:
                    type: string
                    enum:
                      - ユーザーに実行権限がありません。
                    description: エラーメッセージ
                contentType: application/json
        '500':
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: '*'
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                title: MVOD_CMN_0012
                properties:
                  errorCode:
                    type: string
                    enum:
                      - MVOD_CMN_0012
                    description: エラーコード
                  reason:
                    type: string
                    enum:
                      - サーバー側で何かしらの問題が発生しました。
                    description: エラーメッセージ
                contentType: application/json
      security:
        - admin_token: []
      x-codeSamples:
        - lang: shell
          source: >-
            curl -v -X GET
            'https://${end_point}/admin/contents/{user_id}/{content_id}?user_id=userid'

            -H 'Authorization: Bearer {access_token}'
      summary: コンテンツ詳細情報取得
      description: |-
        指定したユーザーの指定したコンテンツのコンテンツ情報を取得します。

        コンテンツが存在しない場合はステータスコード200で`null`を返します。
  /admin/contents/uncompleted:
    get:
      tags:
        - admin
      operationId: get-admin-contents-uncompleted
      parameters:
        - name: elapsed_time_gte
          in: query
          description: 経過時間。未完了変換ジョブの内、変換登録からの経過時間を指定した分(minutes)以上であるかで指定
          schema:
            type: integer
            description: 経過時間。未完了変換ジョブの内、変換登録からの経過時間を指定した分(minutes)以上であるかで指定
            deprecated: false
            nullable: true
        - name: convert_priority_gte
          in: query
          description: 変換優先度。未完了変換ジョブの内、指定した優先度以上であるかで指定
          schema:
            type: integer
            description: 変換優先度。未完了変換ジョブの内、指定した優先度以上であるかで指定
            deprecated: false
            nullable: true
      responses:
        '200':
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: '*'
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  total_count:
                    type: integer
                    description: itemsの総数
                    deprecated: false
                  items:
                    type: array
                    items:
                      type: object
                      properties:
                        user_id:
                          type: string
                          description: ユーザーID
                          deprecated: false
                        content_id:
                          type: string
                          description: コンテンツID
                          deprecated: false
                        title:
                          type: string
                          description: タイトル
                          deprecated: false
                        status:
                          type: string
                          enum:
                            - FAILED_TO_UPLOAD
                            - NOT_READY_TO_CONVERT
                            - READY_TO_CONVERT
                            - WAIT_TO_CONVERT
                            - CONVERTING
                            - CONVERT_COMPLETED
                            - CONVERT_ERROR
                            - LIVE_ARCHIVING
                            - ARCHIVE_FAILED
                          description: >-
                            ** 変換ステータス **<br>- NOT_READY_TO_CONVERT<br>  -
                            コンテンツを変換するための情報が不足しています。<br>- WAIT_TO_CONVERT<br>  -
                            変換待機中の状態です。<br>- CONVERTING<br>  - 変換中です。<br>-
                            CONVERT_COMPLETED<br>  - 変換完了です。<br>-
                            CONVERT_ERROR<br>  - 変換中にエラーが起こりました。
                          deprecated: false
                        convert_job_id:
                          type: string
                          description: 変換ジョブID
                          deprecated: false
                        conversion_registered_at:
                          type: string
                          description: 変換登録日時
                          deprecated: false
                        elapsed_time:
                          type: integer
                          description: 変換登録日時からの経過時間。単位:秒
                          deprecated: false
                        convert_priority:
                          type: integer
                          description: 当該コンテンツ変換ジョブの変換優先度
                          deprecated: false
                        conversion_started_at:
                          type: string
                          description: 変換開始日時
                          deprecated: false
                          nullable: true
                      required:
                        - user_id
                        - content_id
                        - title
                        - status
                        - convert_job_id
                        - conversion_registered_at
                        - elapsed_time
                        - convert_priority
                      example:
                        user_id: a4f648808d00ce7fdc2ccc7477a66620be490c3
                        content_id: 4ba28124-c54g-83d8-9xxb-5324bddbafc9
                        title: タイトル
                        status: CONVERT_COMPLETED
                        convert_job_id: 9875043385627-abcd123
                        conversion_registered_at: 2022-03-01 00:00:00.000000+0900
                        elapsed_time: 7200
                        convert_priority: 0
                        conversion_started_at: 2022-03-01 00:00:00.000000+0900
                      contentType: application/json
                    description: ''
                    deprecated: false
                required:
                  - total_count
                  - items
                example:
                  total_count: 1
                  items:
                    - user_id: a4f648808d00ce7fdc2ccc7477a66620be490c3
                      content_id: 4ba28124-c54g-83d8-9xxb-5324bddbafc9
                      title: タイトル
                      status: CONVERT_COMPLETED
                      convert_job_id: 9875043385627-abcd123
                      conversion_registered_at: 2022-03-01 00:00:00.000000+0900
                      elapsed_time: 7200
                      convert_priority: 0
                      conversion_started_at: 2022-03-01 00:00:00.000000+0900
                contentType: application/json
        '400':
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: '*'
          description: Bad Request
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    title: MVOD_CMN_0013
                    properties:
                      errorCode:
                        type: string
                        enum:
                          - MVOD_CMN_0013
                        description: エラーコード
                      reason:
                        type: string
                        enum:
                          - '[param]の値([value])が不正です。'
                        description: エラーメッセージ
                    contentType: application/json
                  - type: object
                    title: MVOD_CMN_0018
                    properties:
                      errorCode:
                        type: string
                        enum:
                          - MVOD_CMN_0018
                        description: エラーコード
                      reason:
                        type: string
                        enum:
                          - 実行ユーザーが存在しません。
                        description: エラーメッセージ
                    contentType: application/json
        '401':
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: '*'
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                title: MVOD_CMN_0002
                properties:
                  errorCode:
                    type: string
                    enum:
                      - MVOD_CMN_0002
                    description: エラーコード
                  reason:
                    type: string
                    enum:
                      - 認証に失敗しました。
                    description: エラーメッセージ
                contentType: application/json
        '403':
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: '*'
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                title: MVOD_CMN_0027
                properties:
                  errorCode:
                    type: string
                    enum:
                      - MVOD_CMN_0027
                    description: エラーコード
                  reason:
                    type: string
                    enum:
                      - ユーザーに実行権限がありません。
                    description: エラーメッセージ
                contentType: application/json
        '500':
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: '*'
          description: Internal Server Error
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    title: MVOD_CMN_0012
                    properties:
                      errorCode:
                        type: string
                        enum:
                          - MVOD_CMN_0012
                        description: エラーコード
                      reason:
                        type: string
                        enum:
                          - サーバー側で何かしらの問題が発生しました。
                        description: エラーメッセージ
                    contentType: application/json
                  - type: object
                    title: MVOD_UNC_0001
                    properties:
                      errorCode:
                        type: string
                        enum:
                          - MVOD_UNC_0001
                        description: エラーコード
                      reason:
                        type: string
                        enum:
                          - ジョブ一覧の取得に失敗しました。
                        description: エラーメッセージ
                    contentType: application/json
      security:
        - admin_token: []
      x-codeSamples:
        - lang: shell
          source: >-
            curl -v -X GET
            'https://${end_point}/admin/contents/uncompleted?elapsed_time_gte=120&convert_priority_gte=-50'

            -H 'Authorization: Bearer {access_token}'
      summary: 未完了コンテンツ一覧取得
      description: 変換ジョブが未完了のコンテンツ一覧を取得します。
  /admin/users:
    get:
      tags:
        - admin
      operationId: get-admin-users
      parameters:
        - name: partial
          in: query
          description: 不完全なユーザーID。指定すると部分一致するユーザー情報を取得できます。
          schema:
            type: string
            description: 不完全なユーザーID。指定すると部分一致するユーザー情報を取得できます。
            deprecated: false
            nullable: true
        - name: includes_deleted_users
          in: query
          description: 削除されたユーザーを含めるか。trueで含める、false/未指定で含めない
          schema:
            type: boolean
            description: 削除されたユーザーを含めるか。trueで含める、false/未指定で含めない
            deprecated: false
            default: false
      responses:
        '200':
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: '*'
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  total_count:
                    type: integer
                    description: itemsの総数
                    deprecated: false
                  items:
                    type: array
                    items:
                      type: object
                      properties:
                        user_id:
                          type: string
                          description: ユーザーID
                          deprecated: false
                        role:
                          type: string
                          enum:
                            - administrator
                            - general
                          description: 役割
                          deprecated: false
                        disabled:
                          type: boolean
                          description: 無効フラグ trueでアカウントが無効、falseでアカウントが有効になる
                          deprecated: false
                        default_convert_priority:
                          type: integer
                          description: 変換優先度
                          deprecated: false
                        mediaconvert_hopping_enabled:
                          type: boolean
                          description: コンテンツ変換時にホッピングするかどうか
                          deprecated: false
                        created_at:
                          type: string
                          description: 作成日時
                          deprecated: false
                        updated_at:
                          type: string
                          description: 更新日時
                          deprecated: false
                        function_settings:
                          type: object
                          properties:
                            onetime:
                              type: boolean
                              description: ワンタイム機能
                              deprecated: false
                              default: false
                            custom_recipe:
                              type: boolean
                              description: カスタムレシピ機能
                              deprecated: false
                              default: false
                            playback_rate:
                              type: boolean
                              description: 再生速度設定機能
                              deprecated: false
                              default: false
                            subtitle_transcription:
                              type: boolean
                              description: 字幕自動生成
                              deprecated: false
                              default: false
                            live:
                              type: boolean
                              description: ライブ機能
                              deprecated: false
                              default: false
                            dvr:
                              type: boolean
                              description: DVR機能
                              deprecated: false
                              default: false
                            accelerated_video_encoding:
                              type: boolean
                              description: 高速変換機能
                              deprecated: false
                              default: false
                            player_engine:
                              type: boolean
                              description: プレイヤー種別
                              deprecated: false
                              default: false
                          example:
                            onetime: false
                            custom_recipe: false
                            playback_rate: false
                            subtitle_transcription: false
                            live: false
                            dvr: false
                            accelerated_video_encoding: false
                            player_engine: false
                          contentType: application/json
                          description: 機能設定
                          deprecated: false
                        deleted:
                          type: boolean
                          description: >-
                            削除フラグ。trueで削除済み、falseで未削除。includes_deleted_usersパラメーター指定の場合のみ返る。
                          deprecated: false
                          nullable: true
                        function_settings_quota:
                          type: object
                          properties:
                            subtitle_transcription:
                              type: integer
                              description: 字幕自動生成利用可能時間(秒)
                              deprecated: false
                              nullable: true
                            live:
                              type: integer
                              description: 同時配信数
                              deprecated: false
                              nullable: true
                          example:
                            subtitle_transcription: 500
                            live: 1
                          contentType: application/json
                          description: 機能設定上限数
                          deprecated: false
                          nullable: true
                        mediaconvert_hopping_wait_minutes:
                          type: integer
                          description: ホッピングする際の待機時間(分)。nullの場合はmillviのデフォルトの時間だけ待機します。
                          deprecated: false
                          nullable: true
                      required:
                        - user_id
                        - role
                        - disabled
                        - default_convert_priority
                        - mediaconvert_hopping_enabled
                        - created_at
                        - updated_at
                      example:
                        user_id: a4f648808d00ce7fdc2ccc7477a66620be490c3
                        role: general
                        disabled: false
                        default_convert_priority: -50
                        mediaconvert_hopping_enabled: true
                        created_at: 2022-03-01T00:00:00.000000+0900
                        updated_at: 2022-04-01T00:00:00.000000+0900
                        function_settings:
                          onetime: false
                          custom_recipe: false
                          playback_rate: false
                          subtitle_transcription: false
                          live: false
                          dvr: false
                          accelerated_video_encoding: false
                          player_engine: false
                        deleted: false
                        function_settings_quota:
                          subtitle_transcription: 500
                          live: 1
                        mediaconvert_hopping_wait_minutes: 120
                      contentType: application/json
                    description: ユーザー一覧リスト
                    deprecated: false
                required:
                  - total_count
                example:
                  total_count: 0
                  items:
                    - user_id: a4f648808d00ce7fdc2ccc7477a66620be490c3
                      role: general
                      disabled: false
                      default_convert_priority: -50
                      mediaconvert_hopping_enabled: true
                      created_at: 2022-03-01T00:00:00.000000+0900
                      updated_at: 2022-04-01T00:00:00.000000+0900
                      function_settings:
                        onetime: false
                        custom_recipe: false
                        playback_rate: false
                        subtitle_transcription: false
                        live: false
                        dvr: false
                        accelerated_video_encoding: false
                        player_engine: false
                      deleted: false
                      function_settings_quota:
                        subtitle_transcription: 500
                        live: 1
                      mediaconvert_hopping_wait_minutes: 120
                contentType: application/json
        '400':
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: '*'
          description: Bad Request
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    title: MVOD_CMN_0013
                    properties:
                      errorCode:
                        type: string
                        enum:
                          - MVOD_CMN_0013
                        description: エラーコード
                      reason:
                        type: string
                        enum:
                          - '[param]の値([value])が不正です。'
                        description: エラーメッセージ
                    contentType: application/json
                  - type: object
                    title: MVOD_CMN_0018
                    properties:
                      errorCode:
                        type: string
                        enum:
                          - MVOD_CMN_0018
                        description: エラーコード
                      reason:
                        type: string
                        enum:
                          - 実行ユーザーが存在しません。
                        description: エラーメッセージ
                    contentType: application/json
                  - type: object
                    title: MVOD_CMN_0018
                    properties:
                      errorCode:
                        type: string
                        enum:
                          - MVOD_CMN_0018
                        description: エラーコード
                      reason:
                        type: string
                        enum:
                          - 実行ユーザーが存在しません。
                        description: エラーメッセージ
                    contentType: application/json
        '401':
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: '*'
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                title: MVOD_CMN_0002
                properties:
                  errorCode:
                    type: string
                    enum:
                      - MVOD_CMN_0002
                    description: エラーコード
                  reason:
                    type: string
                    enum:
                      - 認証に失敗しました。
                    description: エラーメッセージ
                contentType: application/json
        '403':
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: '*'
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                title: MVOD_CMN_0027
                properties:
                  errorCode:
                    type: string
                    enum:
                      - MVOD_CMN_0027
                    description: エラーコード
                  reason:
                    type: string
                    enum:
                      - ユーザーに実行権限がありません。
                    description: エラーメッセージ
                contentType: application/json
        '500':
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: '*'
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                title: MVOD_CMN_0012
                properties:
                  errorCode:
                    type: string
                    enum:
                      - MVOD_CMN_0012
                    description: エラーコード
                  reason:
                    type: string
                    enum:
                      - サーバー側で何かしらの問題が発生しました。
                    description: エラーメッセージ
                contentType: application/json
      security:
        - admin_token: []
      x-codeSamples:
        - lang: shell
          source: >-
            curl -v -X GET
            'https://${end_point}/admin/users?partial=a4f648808d00ce&includes_deleted_users=True'

            -H 'Authorization: Bearer {access_token}'
      summary: ユーザー一覧取得
      description: ユーザーの一覧を取得します。
    post:
      tags:
        - admin
      operationId: post-admin-users
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                user_id:
                  type: string
                  description: 対象のユーザーID
                  deprecated: false
                password:
                  type: string
                  description: パスワード。英大文字・英小文字・数字・記号をそれぞれ1文字以上含む10文字以上100文字以内で指定してください。
                  deprecated: false
                role:
                  type: string
                  enum:
                    - administrator
                    - general
                  description: 役割
                  deprecated: false
                  default: general
                default_convert_priority:
                  type: integer
                  description: 変換優先度
                  deprecated: false
                  maximum: 50
                  minimum: -50
                  default: 0
                mediaconvert_hopping_enabled:
                  type: boolean
                  description: コンテンツ変換時にホッピングするかどうか
                  deprecated: false
                  default: true
                mediaconvert_hopping_wait_minutes:
                  type: integer
                  description: ホッピングする際の待機時間(分)。未指定の場合はmillviのデフォルトの時間だけ待機します。
                  deprecated: false
                  maximum: 4320
                  minimum: 1
                  nullable: true
              required:
                - user_id
                - password
              example:
                user_id: a4f648808d00ce7fdc2ccc7477a66620be490c3
                password: Admin_123456
                role: general
                default_convert_priority: -50
                mediaconvert_hopping_enabled: true
                mediaconvert_hopping_wait_minutes: 120
              contentType: application/json
      responses:
        '200':
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: '*'
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  user_id:
                    type: string
                    description: ユーザーID
                    deprecated: false
                  role:
                    type: string
                    enum:
                      - administrator
                      - general
                    description: 役割
                    deprecated: false
                  disabled:
                    type: boolean
                    description: 無効フラグ trueでアカウントが無効、falseでアカウントが有効になる
                    deprecated: false
                  default_convert_priority:
                    type: integer
                    description: 変換優先度
                    deprecated: false
                  mediaconvert_hopping_enabled:
                    type: boolean
                    description: コンテンツ変換時にホッピングするかどうか
                    deprecated: false
                  created_at:
                    type: string
                    description: 作成日時
                    deprecated: false
                  updated_at:
                    type: string
                    description: 更新日時
                    deprecated: false
                  function_settings:
                    type: object
                    properties:
                      onetime:
                        type: boolean
                        description: ワンタイム機能
                        deprecated: false
                        default: false
                      custom_recipe:
                        type: boolean
                        description: カスタムレシピ機能
                        deprecated: false
                        default: false
                      playback_rate:
                        type: boolean
                        description: 再生速度設定機能
                        deprecated: false
                        default: false
                      subtitle_transcription:
                        type: boolean
                        description: 字幕自動生成
                        deprecated: false
                        default: false
                      live:
                        type: boolean
                        description: ライブ機能
                        deprecated: false
                        default: false
                      dvr:
                        type: boolean
                        description: DVR機能
                        deprecated: false
                        default: false
                      accelerated_video_encoding:
                        type: boolean
                        description: 高速変換機能
                        deprecated: false
                        default: false
                      player_engine:
                        type: boolean
                        description: プレイヤー種別
                        deprecated: false
                        default: false
                    example:
                      onetime: false
                      custom_recipe: false
                      playback_rate: false
                      subtitle_transcription: false
                      live: false
                      dvr: false
                      accelerated_video_encoding: false
                      player_engine: false
                    contentType: application/json
                    description: 機能設定
                    deprecated: false
                  deleted:
                    type: boolean
                    description: >-
                      削除フラグ。trueで削除済み、falseで未削除。includes_deleted_usersパラメーター指定の場合のみ返る。
                    deprecated: false
                    nullable: true
                  function_settings_quota:
                    type: object
                    properties:
                      subtitle_transcription:
                        type: integer
                        description: 字幕自動生成利用可能時間(秒)
                        deprecated: false
                        nullable: true
                      live:
                        type: integer
                        description: 同時配信数
                        deprecated: false
                        nullable: true
                    example:
                      subtitle_transcription: 500
                      live: 1
                    contentType: application/json
                    description: 機能設定上限数
                    deprecated: false
                    nullable: true
                  mediaconvert_hopping_wait_minutes:
                    type: integer
                    description: ホッピングする際の待機時間(分)。nullの場合はmillviのデフォルトの時間だけ待機します。
                    deprecated: false
                    nullable: true
                required:
                  - user_id
                  - role
                  - disabled
                  - default_convert_priority
                  - mediaconvert_hopping_enabled
                  - created_at
                  - updated_at
                example:
                  user_id: a4f648808d00ce7fdc2ccc7477a66620be490c3
                  role: general
                  disabled: false
                  default_convert_priority: -50
                  mediaconvert_hopping_enabled: true
                  created_at: 2022-03-01T00:00:00.000000+0900
                  updated_at: 2022-04-01T00:00:00.000000+0900
                  function_settings:
                    onetime: false
                    custom_recipe: false
                    playback_rate: false
                    subtitle_transcription: false
                    live: false
                    dvr: false
                    accelerated_video_encoding: false
                    player_engine: false
                  deleted: false
                  function_settings_quota:
                    subtitle_transcription: 500
                    live: 1
                  mediaconvert_hopping_wait_minutes: 120
                contentType: application/json
        '400':
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: '*'
          description: Bad Request
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    title: MVOD_CMN_0005
                    properties:
                      errorCode:
                        type: string
                        enum:
                          - MVOD_CMN_0005
                        description: エラーコード
                      reason:
                        type: string
                        enum:
                          - 必須パラメーターが存在しません。[param_names]
                        description: エラーメッセージ
                    contentType: application/json
                  - type: object
                    title: MVOD_CMN_0013
                    properties:
                      errorCode:
                        type: string
                        enum:
                          - MVOD_CMN_0013
                        description: エラーコード
                      reason:
                        type: string
                        enum:
                          - '[param]の値([value])が不正です。'
                        description: エラーメッセージ
                    contentType: application/json
                  - type: object
                    title: MVOD_CMN_0016
                    properties:
                      errorCode:
                        type: string
                        enum:
                          - MVOD_CMN_0016
                        description: エラーコード
                      reason:
                        type: string
                        enum:
                          - パラメーターの値は許容された形式にしてください。[password]
                        description: エラーメッセージ
                    contentType: application/json
                  - type: object
                    title: MVOD_CMN_0018
                    properties:
                      errorCode:
                        type: string
                        enum:
                          - MVOD_CMN_0018
                        description: エラーコード
                      reason:
                        type: string
                        enum:
                          - 実行ユーザーが存在しません。
                        description: エラーメッセージ
                    contentType: application/json
                  - type: object
                    title: MVOD_CMN_0018
                    properties:
                      errorCode:
                        type: string
                        enum:
                          - MVOD_CMN_0018
                        description: エラーコード
                      reason:
                        type: string
                        enum:
                          - 実行ユーザーが存在しません。
                        description: エラーメッセージ
                    contentType: application/json
                  - type: object
                    title: MVOD_CMN_0021
                    properties:
                      errorCode:
                        type: string
                        enum:
                          - MVOD_CMN_0021
                        description: エラーコード
                      reason:
                        type: string
                        enum:
                          - '[param]([value])は [condition] の範囲で指定する必要があります。'
                        description: エラーメッセージ
                    contentType: application/json
        '401':
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: '*'
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                title: MVOD_CMN_0002
                properties:
                  errorCode:
                    type: string
                    enum:
                      - MVOD_CMN_0002
                    description: エラーコード
                  reason:
                    type: string
                    enum:
                      - 認証に失敗しました。
                    description: エラーメッセージ
                contentType: application/json
        '403':
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: '*'
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                title: MVOD_CMN_0027
                properties:
                  errorCode:
                    type: string
                    enum:
                      - MVOD_CMN_0027
                    description: エラーコード
                  reason:
                    type: string
                    enum:
                      - ユーザーに実行権限がありません。
                    description: エラーメッセージ
                contentType: application/json
        '409':
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: '*'
          description: Conflict
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    title: MVOD_CUA_0002
                    properties:
                      errorCode:
                        type: string
                        enum:
                          - MVOD_CUA_0002
                        description: エラーコード
                      reason:
                        type: string
                        enum:
                          - 登録できないユーザーIDです。
                        description: エラーメッセージ
                    contentType: application/json
                  - type: object
                    title: MVOD_CUA_0008
                    properties:
                      errorCode:
                        type: string
                        enum:
                          - MVOD_CUA_0008
                        description: エラーコード
                      reason:
                        type: string
                        enum:
                          - 登録できないレシピIDです。
                        description: エラーメッセージ
                    contentType: application/json
        '500':
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: '*'
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                title: MVOD_CMN_0012
                properties:
                  errorCode:
                    type: string
                    enum:
                      - MVOD_CMN_0012
                    description: エラーコード
                  reason:
                    type: string
                    enum:
                      - サーバー側で何かしらの問題が発生しました。
                    description: エラーメッセージ
                contentType: application/json
      security:
        - admin_token: []
      x-codeSamples:
        - lang: shell
          source: |-
            curl -v -X POST 'https://${end_point}/admin/users'
            -H 'Authorization: Bearer {access_token}'
            -H 'Content-Type: application/json'
            -d '{
              "user_id": "a4f648808d00ce7fdc2ccc7477a66620be490c3",
              "password": "Admin_123456",
              "role": "general",
              "default_convert_priority": -50,
              "mediaconvert_hopping_enabled": true,
              "mediaconvert_hopping_wait_minutes": 120
            }'
      summary: ユーザー作成
      description: |-
        ユーザーを新規に作成します。

        #### 役割(role)について

        * administrator
        * ユーザーを管理するための役割です

        * general
        * コンテンツを操作するための役割です
  /admin/users/{user_id}:
    delete:
      tags:
        - admin
      operationId: delete-admin-users-{user_id}
      parameters:
        - name: user_id
          in: path
          description: 対象のユーザーID
          required: true
          schema:
            type: string
            description: 対象のユーザーID
            deprecated: false
      requestBody:
        content: {}
      responses:
        '200':
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: '*'
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  user_id:
                    type: string
                    description: ユーザーID
                    deprecated: false
                required:
                  - user_id
                example:
                  user_id: a4f648808d00ce7fdc2ccc7477a66620be490c3
                contentType: application/json
        '400':
          headers:
            Access-Control-Allow-Origin:
[...]
